import EcasBasePage from './ecas-base.js';

export default class EcasLogoutPage extends EcasBasePage {
    /**
    * @type WebdriverIO.Element
    */
    get logoutTitle() {
        let path = '//h1[contains(text(),"Logout")]';
        return this.root + path;
    }
    /**
    * @type WebdriverIO.Element
    */
    get logMeOut() {
        return this.inputByName(this.root, 'proceed');
    }
    /**
    * @type WebdriverIO.Element
    */
    get logoutWarning() {
        return this.mainContainerContentInformationMessageByIndex(1);
    }
    logoutWarningText(text) {
        return this.mainContainerContentInformationMessageByText(text);
    }
}


